mbed TLS v2.23.0

Data Fields
mbedtls_cmac_context_t Struct Reference

`#include <cmac.h>`

## Data Fields
unsigned char | state [MBEDTLS_CIPHER_BLKSIZE_MAX]
unsigned char | unprocessed_block [MBEDTLS_CIPHER_BLKSIZE_MAX]
size_t | unprocessed_len

## Detailed Description

The CMAC context structure.

Definition at line 60 of file cmac.h.

## Field Documentation

## ◆ state

unsigned char mbedtls_cmac_context_t::state[MBEDTLS_CIPHER_BLKSIZE_MAX]

The internal state of the CMAC algorithm.

Definition at line 63 of file cmac.h.

## ◆ unprocessed_block

unsigned char mbedtls_cmac_context_t::unprocessed_block[MBEDTLS_CIPHER_BLKSIZE_MAX]

Unprocessed data - either data that was not block aligned and is still pending processing, or the final block.

Definition at line 67 of file cmac.h.

## ◆ unprocessed_len

size_t mbedtls_cmac_context_t::unprocessed_len

The length of data pending processing.

Definition at line 70 of file cmac.h.

The documentation for this struct was generated from the following file:

- cmac.h